威廉希尔中文网站

?
400-818-6868

安全研究

威胁通告
Cesanta Mongoose多个漏洞

综述

    当地时间20171031日,Talos团队发布了多个关于Cesanta Mongoose的漏洞通告,涵盖代码执行,拒绝服务等共8个漏洞,其中包括多个CVSS 3.0评分为9.8分的高危漏洞。Mongoose被称为GitHub上最受欢迎的嵌入式网络服务器,目前Mongoose已经更新修复了相关漏洞。

相关链接:

https://cesanta.com/

https://www.talosintelligence.com/vulnerability_reports/#disclosed

受影响的版本

Cesanta Mongoose 6.8

不受影响的版本

Cesanta Mongoose 6.9

漏洞信息

漏洞

CVE编号

CVSS 3.0评分

Cesanta Mongoose Websocket Protocol Fragmented Packet Code Execution Vulnerability

CVE-2017-2922

9.8 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Cesanta Mongoose Websocket Protocol Packet Length Code Execution Vulnerability

CVE-2017-2921

8.1 - CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Cesanta Mongoose MQTT SUBSCRIBE Topic Length Information Leak

CVE-2017-2895

8.2 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:H

Cesanta Mongoose MQTT SUBSCRIBE Multiple Topics Remote Code Execution

CVE-2017-2894

9.8 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Cesanta Mongoose MQTT SUBSCRIBE Command Denial Of Service

CVE-2017-2893

7.5 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Cesanta Mongoose MQTT Payload Length Remote Code Execution

CVE-2017-2892

9.8 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Cesanta Mongoose HTTP Server CGI Remote Code Execcution Vulnerability

CVE-2017-2891

9.8 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Cesanta Mongoose DNS Query Compressed Name Pointer Denial Of Service

CVE-2017-2909

7.5 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

 

解决方案

Moogoose官方已经更新6.9版本修复了这些漏洞,请用户尽快升级至最新版本进行防护。

参考链接:

https://github.com/cesanta/mongoose

https://cesanta.com/download.html

 

声 明

本安全公告仅用来描述可能存在的安全问题,威廉希尔中文网站不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,威廉希尔中文网站以及安全公告作者不为此承担任何责任。威廉希尔中文网站拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经威廉希尔中文网站允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。


浏览次数:

关 闭
XML 地图 | Sitemap 地图